Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Eclipse 4 » Using latest E4 tools with 4.3 target platform
icon5.gif  Using latest E4 tools with 4.3 target platform [message #1389128] Fri, 27 June 2014 11:31 Go to next message
Sebastien Pennec is currently offline Sebastien PennecFriend
Messages: 27
Registered: April 2013
Location: Switzerland
Junior Member
Hello,

I've just installed the brand new Luna RCP IDE, and plan to use it to develop my E4 application. I've also downloaded the E4 tools as described in the first post of this forum.

How can I add the E4 tools, like the model editor and various spies, to my developement config while keeping the same target platform (in this case, Eclipse 4.3.1)? My launch configuration is based on the target platform, and if I add the newest E4 tools to the platform, some dependencies are obviously missing.

Is there a way to benefit from the latest tools without migrating my application to the latest target platform?

Thanks for your help,

S├ębastien
Re: Using latest E4 tools with 4.3 target platform [message #1391011 is a reply to message #1389128] Mon, 30 June 2014 10:12 Go to previous messageGo to next message
Olivier Prouvost is currently offline Olivier ProuvostFriend
Messages: 15
Registered: August 2011
Location: TOULOUSE
Junior Member

Hi Sebastien,

I think it will be difficult to mix the 4.3.1 target with the latest version of E4 tools (0.16)... because of dependencies...

For my E4 trainings I only use Luna and I no more use Kepler for this reason.

You should probably plan to move to the target 4.4, but it should not be a problem for you i guess...

Re: Using latest E4 tools with 4.3 target platform [message #1391081 is a reply to message #1391011] Mon, 30 June 2014 12:18 Go to previous message
Sebastien Pennec is currently offline Sebastien PennecFriend
Messages: 27
Registered: April 2013
Location: Switzerland
Junior Member
Hello Olivier,

Thanks for the answer!

You're right, I hope to be able to migrate easily.

Cheers,

S├ębastien
Previous Topic:[Luna] @CanExecute not called
Next Topic:White Editor Eclipse Luna
Goto Forum:
  


Current Time: Sun Jun 13 22:09:44 GMT 2021

Powered by FUDForum. Page generated in 0.01788 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top